PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# droplang

## Name

droplang -- remove a PostgreSQL procedural language

## Synopsis

`droplang` [connection-option...] langname [dbname]
`droplang` [connection-option...] --list | -l dbname

## Description

droplang is a utility for removing an existing programming language from a PostgreSQL database. droplang can drop any procedural language, even those not supplied by the PostgreSQL distribution.

Although backend programming languages can be removed directly using several SQL commands, it is recommended to use droplang because it performs a number of checks and is much easier to use. See DROP LANGUAGE for more.

## Options

droplang accepts the following command line arguments:

langname

  Specifies the name of the backend programming language to be removed.

[-d] dbname
[--dbname] dbname

  Specifies from which database the language should be removed. The default is to use the database with the same name as the current system user.

-e
--echo

  Display SQL commands as they are executed.

-l
--list

  Show a list of already installed languages in the target database.

droplang also accepts the following command line arguments for connection parameters:

-h host
--host host

  Specifies the host name of the machine on which the server is running. If host begins with a slash, it is used as the directory for the Unix domain socket.

-p port
--port port

  Specifies the Internet TCP/IP port or local Unix domain socket file extension on which the server is listening for connections.

-U username
--username username

  User name to connect as

-W
--password

  Force password prompt.

## Environment

`PGDATABASE`
`PGHOST`
`PGPORT`
`PGUSER`

  Default connection parameters

## Diagnostics

Most error messages are self-explanatory. If not, run droplang with the --echo option and see under the respective SQL command for details.

## Notes

Use createlang to add a language.

## Examples

To remove the language pltcl:

    $ droplang pltcl dbname

## See Also

createlang, DROP LANGUAGE

Prev | Home | Next
dropdb | Up | dropuser